package com.gic.finance.constant;
/**
 * 商户基础服务开通状态
 * @ClassName: BasicServiceStatusEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/11 2:11 PM 
 */
public enum BasicServiceStatusEnum {
    /**
     * 服务开通
     */
    SERVICE_OPEN(1, "服务开通"),
    /**
     * 服务续费
     */
    SERVICE_RENEWAL(2, "服务续费"),
    /**
     * 版本升级
     */
    VERSION_UPGRADE(3, "版本升级"),
    /**
     * license扩容
     */
    LICENSE_EXPAN(4, "license扩容");

    private Integer status;
    private String description;

    BasicServiceStatusEnum(Integer status, String description) {
        this.status = status;
        this.description = description;
    }

    public static BasicServiceStatusEnum getByStatus(Integer status) {
        for (BasicServiceStatusEnum basicServiceStatusEnum : values()) {
            if (basicServiceStatusEnum.getStatus().equals(status)) {
                return basicServiceStatusEnum;
            }
        }
        return null;
    }

    public Integer getStatus() {
        return status;
    }

    public BasicServiceStatusEnum setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public BasicServiceStatusEnum setDescription(String description) {
        this.description = description;
        return this;
    }
}
