package com.gic.finance.util.cashwithdrawal.event;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.error.ErrorCode;
import com.gic.finance.dto.CashWithdrawalDTO;
import com.gic.finance.entity.TabCashWithdrawal;
import com.gic.finance.util.cashwithdrawal.AbstractState;
import org.springframework.stereotype.Component;

/**
 * 完成状态
 * @ClassName: CompleteState 
 * @Description:  
 * @author guojuxing 
 * @date 2020/11/6 3:48 PM 
 */
@Component
public class CompleteState extends AbstractState {
    @Override
    public ServiceResponse<String> cashWithdrawal(CashWithdrawalDTO dto) {
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), "已完成");
    }

    @Override
    public ServiceResponse<Void> approval(TabCashWithdrawal record) {
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), "已完成");
    }

    @Override
    public ServiceResponse<Void> reject(TabCashWithdrawal record) {
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), "已完成");
    }

    @Override
    public ServiceResponse<Void> cancel(TabCashWithdrawal record) {
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), "已完成");
    }

    @Override
    public ServiceResponse<Void> complete(TabCashWithdrawal record) {
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), "已完成");
    }
}
